Foreman - Bug #13772

The orchestration code uses SQL logger
02/17/2016 11:47 AM - lvan Necas

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Orchestration
Target version: 1.16.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3729,
https://github.com/theforeman/foreman/p
ull/4454
Description

It should have it's own logger. Ideally with using the hierarchy system,

that the Logging library provides, https:/github.com/TwP/logging/blob/master/examples/hierarchies.rb

so that one could extract logging for the whole orchestration, or a part of it.

Related issues:

Related to Foreman - Bug #14980: Unused_ip AJAX request fails: undefined meth...
Related to Katello - Refactor #19002: Use ApplicationRecord instead of Active...
Related to Discovery - Refactor #19003: Use ApplicationRecord instead of Acti...
Related to Foreman Remote Execution - Bug #19395: Failure when migrating data...

Closed
Closed
Closed
Closed

05/10/2016
03/23/2017
03/23/2017
04/26/2017

Associated revisions

Revision 4deab2f3 - 04/12/2017 02:31 AM - Lukas Zapletal

Fixes #13772 - orchestration now uses app logger

Revision 2e7dfc3d - 04/12/2017 12:52 PM - Ilvan Necas

Refs #13772 - ensure ApplicationRecord is loaded soon enough

In “lib/core_extensions.rb™ we define as “per_page’ method, that gets
called by “will_paginate” at load time of the models. The issue is

we are using "Setting” model there, that inherits from the
“ApplicationRecord™ but the *ApplicationRecord™ is not loaded yet at
that time, which leads to Rails not knowings it's abstract class

and therefore expecting it to be a base for STI.

After this patch, we require the “ApplicationRecord” soon enough to make
sure it's present before using any other model.

History

#1 - 05/10/2016 07:04 AM - Lukas Zapletal

- Related to Bug #14980: Unused_ip AJAX request fails: undefined method “from' for #<IPAM::Dhcp..> added

#2 - 08/12/2016 09:35 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/3729 added

#3 - 08/23/2016 10:03 AM - Daniel Lobato Garcia

- Target version set to 1.6.2
https://github.com/TwP/logging/blob/master/examples/hierarchies.rb

#4 - 09/14/2016 07:08 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.5.2

#5 - 03/23/2017 08:41 AM - Lukas Zapletal
- Related to Refactor #19002: Use ApplicationRecord instead of ActiveRecord::Base added

#6 - 03/23/2017 08:49 AM - Lukas Zapletal
- Related to Refactor #19003: Use ApplicationRecord instead of ActiveRecord::Base added

#7 - 03/29/2017 09:05 AM - Lukas Zapletal
- Related to Tracker #15715: Rails 5.0 upgrade tasks added

#8 - 03/29/2017 09:05 AM - Lukas Zapletal

The implementation uses ApplicationRecord - new feature of Rails 5. Associated tracking ticket.

#9 - 03/29/2017 09:06 AM - Dominic Cleal

Lukas Zapletal wrote:

The implementation uses ApplicationRecord - new feature of Rails 5. Associated tracking ticket.

An abstract base class is nothing to do with Rails 5!

#10 - 03/31/2017 07:27 AM - Lukas Zapletal
- Related to deleted (Tracker #15715: Rails 5.0 upgrade tasks)

#11 - 03/31/2017 07:28 AM - Lukas Zapletal

Well it's now recommended by Rails 5, but if this makes you to type bangs, then I will unlink it. No biggie.

#12 - 04/12/2017 03:01 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4deab2f313841e4283469ce9faafcOcdf1775720.

#13 - 04/12/2017 11:50 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/4454 added

#14 - 04/26/2017 10:29 AM - Ivan Necas

- Related to Bug #19395: Failure when migrating database with foreman_remote_executino from scratch added

#15 - 06/28/2017 04:35 AM - Marek Hulan

- translation missing: en.field_release set to 240
